astro query:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- astroquery v0.4.11 »
- Astroquery utils (`astroquery.utils`)

# Astroquery utils (`astroquery.utils`)

## Reference/API

### astroquery.utils Package

Common non-package specific utility functions that will ultimately be merged into `astropy.utils`.

#### Functions

`chunk_report`(bytes_so_far, chunk_size, ...) |
`chunk_read`(response, *[, chunk_size, ...]) |
`parse_coordinates`(coordinates, *[, return_frame]) | Takes a string or astropy.coordinates object.
`suppress_vo_warnings`() | Suppresses all warnings of the class `astropy.io.votable.exceptions.VOWarning`.
`validate_email`(email) | E-mail address validation.
`async_to_sync`(cls) | Convert all query_x_async methods to query_x methods
`prepend_docstr_nosections`(doc, *[, sections]) | Decorator to prepend to the function's docstr after stripping out the list of sections provided (by default "Returns" only).
`cleanup_saved_downloads`(names) | Function to clean up save files.

#### Classes

`class_or_instance`(fn) |
`TableList`(inp) | A class that inherits from `list` but included some pretty printing methods for an OrderedDict of `astropy.table.Table` objects.

### astroquery.utils.timer Module

General purpose timer related functions.

#### Functions

`timefunc`(*[, num_tries, verbose]) | Decorator to time a function or method.

#### Classes

`RunTimePredictor`(func, *args, **kwargs) | Class to predict run time.

### TAP/TAP+

Table Access Protocol implementation. See TAP/TAP+ (astroquery.utils.tap)